<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="44">
            <table cellpadding="0" cellspacing="0" border="0">
                <tr>
                    <td><img src="images/menu_l.gif" border="0" alt=""/></td>
                    <td width="100%" class="dark-bg">
                		<!-- MENU -->
            			<table cellpadding="0" cellspacing="0" align="center">
            				<tr>
                                <xsl:call-template name="TOP-MENU"/>
            				</tr>
            			</table>
                		<!-- END MENU -->
                    </td>
                    <td><img src="images/menu_r.gif" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="250" style="background-image: url('images/header_bg.gif'); background-position: top right; background-repeat: repeat-x;">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
                <tr>
                    <td align="center" valign="top" height="100%" style="padding: 34px 465px 5px 5px;">
                		<!-- LOGO -->
						<table cellpadding="0" cellspacing="0">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
                		<!-- END LOGO -->
                    </td>
                </tr>
                <tr>
                    <td style="padding: 0 400px 0 195px;">
                        <table cellpadding="0" cellspacing="0" border="0" style="height: 30px;">
                            <tr>
                                <td><img src="images/txtheader_l.gif" border="0" alt=""/></td>
                                <td valign="bottom" class="main-bg text-header" style="white-space: nowrap;">
                                    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/txtheader_bullet.gif" border="0" alt="" align="absmiddle" style="margin-left: 5px;"/>
                                </td>
                                <td><img src="images/txtheader_r.gif" border="0" alt=""/></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td class="dark-bg"><div style="width:22px; height:0px;"><span></span></div></td>
                    <td align="center" style="background-image: url('images/lbg.gif'); background-repeat: no-repeat; padding: 25px 5px 5px 5px;">
                		<!-- SUBMENU -->
                            <table cellpadding="0" cellspacing="0" border="0" width="150">
                                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                            </table>
                		<!-- END SUBMENU -->
                        <div style="width:188px; height:0px;"><span></span></div>
                    </td>
                    <td width="100%" class="pageContent" style="background-image: url('images/bg.jpg'); background-position: top right; background-repeat: no-repeat; padding: 38px 20px 20px 0;">
                		<!-- CONTENT -->
                        <xsl:apply-templates select="PAGE-CONTENT"/>
                		<!-- END CONTENT -->
                    </td>
                    <td class="dark-bg"><img src="images/rbg.gif" border="0" alt="" width="22"/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="122" class="dark-bg">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td><img src="images/footer_l.gif" border="0" alt=""/></td>
                    <td width="100%" style="background-image: url('images/footer_bg.gif'); padding-top: 37px;">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
                                <xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
                    </td>
                    <td><img src="images/footer_r.gif" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                                <tr bgcolor="#ffffff">
                                    <td style="background-image: url('images/submenu_bg.gif');">
                                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                                            <tr>
                                                <td><img src="images/submenu_al.gif" border="0" alt=""/></td>
                                                <td width="100%" class="asubmenu" style="background-image: url('images/submenu_arbg.gif'); background-position: top right; background-repeat: no-repeat; padding-right: 20px;">
                                                    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                                <tr bgcolor="#ffffff">
                                    <td style="background-image: url('images/submenu_bg.gif');">
                                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                                            <tr>
                                                <td><img src="images/submenu_l.gif" border="0" alt=""/></td>
                                                <td width="100%" style="background-image: url('images/submenu_rbg.gif'); background-position: top right; background-repeat: no-repeat; padding-right: 20px;">
                                                    <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="2"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
